Use these API operations to manage your v2 payments.
| Operation | Method | Description |
|---|---|---|
| Search payments (v2)) | POST | Search for v2 payments based on filtering criteria. |
| Create a payment (v2)) | POST | Create a v2 payment by accepting a quote. |
| Get a payment by payment ID (v2) | GET | Get a specific v2 payment by payment ID. |
| Get state transitions by payment ID (v2) | GET | Get the state transitions for a specific v2 payment by payment ID. |
| Update payment labels (v2) | PATCH | Update the labels for a specific v2 payment by payment ID. |
Search for payments based on filtering criteria.
Security
Bearer
- Mock serverhttps://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/payments/filter
- UAT environment with simulated currencyhttps://api.test.ripple.com/v2/payments/filter
- Production environmenthttps://api.ripple.com/v2/payments/filter
curl -i -X POST \
https://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/payments/filter \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"filter": {
"paymentIds": [
"aaaaaaaa-1111-bbbb-abab-123412341234"
],
"paymentStates": [
"INITIATED"
],
"filterRangeType": "PAYMENT_CREATION",
"beforeTimestamp": "2024-04-24T14:15:22Z",
"afterTimestamp": "2024-03-24T13:15:22Z",
"beneficiaryIdentityIds": [
"aaaaaaaa-1111-bbbb-abab-123412341234"
],
"internalId": "string",
"beneficiaryIdentityNickname": "Successful business beneficiary",
"destinationCurrencies": [
"string"
],
"paymentLabels": [
"batchId=aaaaaaaa-1111-bbbb-abab-123412341234"
]
},
"sort": {
"sortField": "initiatedAt",
"sortDirection": "DESC"
},
"page": {
"size": 20,
"lastPageToken": "string"
}
}'Payments matching the specified filtering criteria.
Response
{ "data": [ { … } ], "filter": { "paymentIds": [ … ], "paymentStates": [ … ], "filterRangeType": "PAYMENT_CREATION", "beforeTimestamp": "2024-04-24T14:15:22Z", "afterTimestamp": "2024-03-24T13:15:22Z", "beneficiaryIdentityIds": [ … ], "internalId": "string", "beneficiaryIdentityNickname": "Successful business beneficiary", "destinationCurrencies": [ … ], "paymentLabels": [ … ] }, "sort": { "sortField": "initiatedAt", "sortDirection": "DESC" }, "page": { "size": 20, "lastPageToken": "string" } }